### Hierarchy

- unknown
  - AddressBalanceInfo

## Index

### Constructors

- constructor

### Methods

- getAddress
- getBalance
- getIsAddressUnused
- getNumConfirmations
- serializeBinary
- setAddress
- setBalance
- setIsAddressUnused
- setNumConfirmations
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddressBalanceInfo(): AddressBalanceInfo

- Inherited from jspb.Message.constructor

  #### Returns AddressBalanceInfo

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3804

  #### Returns string

### getBalance

- getBalance(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3807

  #### Returns number

### getIsAddressUnused

- getIsAddressUnused(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3813

  #### Returns boolean

### getNumConfirmations

- getNumConfirmations(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3810

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3816

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3805

  #### Parameters

  - ##### value: string

  #### Returns AddressBalanceInfo

### setBalance

- setBalance(value: number): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3808

  #### Parameters

  - ##### value: number

  #### Returns AddressBalanceInfo

### setIsAddressUnused

- setIsAddressUnused(value: boolean): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3814

  #### Parameters

  - ##### value: boolean

  #### Returns AddressBalanceInfo

### setNumConfirmations

- setNumConfirmations(value: number): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3811

  #### Parameters

  - ##### value: number

  #### Returns AddressBalanceInfo

### toObject

- toObject(includeInstance?: boolean): AddressBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3817

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddressBalanceInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3820

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressBalanceInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressBalanceInfo, reader: BinaryReader): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3821

  #### Parameters

  - ##### message: AddressBalanceInfo

  - ##### reader: BinaryReader

  #### Returns AddressBalanceInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressBalanceInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3819

  #### Parameters

  - ##### message: AddressBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddressBalanceInfo ): AddressBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3818

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressBalanceInfo

  #### Returns AddressBalanceInfo . AsObject

Generated using TypeDoc